Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: cacti
Upstream-Contact: Ian Berry <rax@kuhncom.net>
Source: https://www.cacti.net/
Comment: The following files / directories have been removed from the
 source tar ball because they either were unused, or didn't contain the
 preferred source for modification or have a Debian package providing them.
 Because of the second reason, also the first and the third set are
 stripped.
Files-Excluded:
 docs/*
 include/js/Chart.js
 include/js/d3.js
 include/js/jquery-ui.js
 include/js/jquery.colorpicker.js
 include/js/jquery.cookie.js
 include/js/jquery.hotkeys.js
 include/js/jquery.js
 include/js/jquery.tablesorter.js
 include/js/jquery.tablesorter.pager.js
 include/js/jquery.tablesorter.widgets.js
 include/js/jquery.timepicker.js
 include/js/jquery.ui.touch.punch.js
 include/js/jstree.js
 include/js/LC_MESSAGES
 include/fa
 include/fonts
 include/themes/classic/default/32px.png
 include/themes/classic/default/40px.png
 include/themes/classic/default/style.css
 include/themes/classic/default/style.min.css
 include/themes/classic/default/throbber.gif
 include/themes/classic/images/bar-alpha.png
 include/themes/classic/images/bar-opacity.png
 include/themes/classic/images/bar-pointer.png
 include/themes/classic/images/bar.png
 include/themes/classic/images/map-opacity.png
 include/themes/classic/images/map-pointer.png
 include/themes/classic/images/map.png
 include/themes/classic/images/preview-opacity.png
 include/themes/classic/images/ui-bg_glass_55_fbf9ee_1x400.png
 include/themes/classic/images/ui-bg_glass_65_ffffff_1x400.png
 include/themes/classic/images/ui-bg_glass_75_dadada_1x400.png
 include/themes/classic/images/ui-bg_glass_75_e6e6e6_1x400.png
 include/themes/classic/images/ui-bg_glass_95_fef1ec_1x400.png
 include/themes/classic/images/ui-bg_highlight-soft_75_cccccc_1x100.png
 include/themes/classic/images/ui-colorpicker.png
 include/themes/classic/images/ui-icons_222222_256x240.png
 include/themes/classic/images/ui-icons_2e83ff_256x240.png
 include/themes/classic/images/ui-icons_454545_256x240.png
 include/themes/classic/images/ui-icons_888888_256x240.png
 include/themes/classic/images/ui-icons_cd0a0a_256x240.png
 include/themes/classic/jquery-ui.css
 include/themes/classic/jquery.colorpicker.css
 include/themes/classic/jquery.timepicker.css
 include/themes/dark/default/32px.png
 include/themes/dark/default/40px.png
 include/themes/dark/default/style.css
 include/themes/dark/default/throbber.gif
 include/themes/dark/images/bar-alpha.png
 include/themes/dark/images/bar-opacity.png
 include/themes/dark/images/bar-pointer.png
 include/themes/dark/images/bar.png
 include/themes/dark/images/map-opacity.png
 include/themes/dark/images/map-pointer.png
 include/themes/dark/images/map.png
 include/themes/dark/images/preview-opacity.png
 include/themes/dark/images/ui-bg_glass_40_ffc73d_1x400.png
 include/themes/dark/images/ui-bg_highlight-hard_20_31442b_1x100.png
 include/themes/dark/images/ui-bg_highlight-soft_33_155413_1x100.png
 include/themes/dark/images/ui-bg_highlight-soft_35_222222_1x100.png
 include/themes/dark/images/ui-bg_highlight-soft_44_444444_1x100.png
 include/themes/dark/images/ui-bg_highlight-soft_80_eeeeee_1x100.png
 include/themes/dark/images/ui-bg_loop_25_000000_21x21.png
 include/themes/dark/images/ui-colorpicker.png
 include/themes/dark/images/ui-icons_222222_256x240.png
 include/themes/dark/images/ui-icons_4b8e0b_256x240.png
 include/themes/dark/images/ui-icons_a83300_256x240.png
 include/themes/dark/images/ui-icons_cccccc_256x240.png
 include/themes/dark/images/ui-icons_ffffff_256x240.png
 include/themes/dark/jquery-ui.css
 include/themes/dark/jquery.colorpicker.css
 include/themes/dark/jquery.timepicker.css
 include/themes/midwinter/default/32px.png
 include/themes/midwinter/default/40px.png
 include/themes/midwinter/default/style.css
 include/themes/midwinter/default/style.min.css
 include/themes/midwinter/default/throbber.gif
 include/themes/midwinter/images/128
 include/themes/midwinter/images/bar-alpha.png
 include/themes/midwinter/images/bar-opacity.png
 include/themes/midwinter/images/bar-pointer.png
 include/themes/midwinter/images/bar.png
 include/themes/midwinter/images/map-opacity.png
 include/themes/midwinter/images/map-pointer.png
 include/themes/midwinter/images/map.png
 include/themes/midwinter/images/preview-opacity.png
 include/themes/midwinter/images/ui-bg_glass_55_fbf9ee_1x400.png
 include/themes/midwinter/images/ui-bg_glass_65_ffffff_1x400.png
 include/themes/midwinter/images/ui-bg_glass_75_dadada_1x400.png
 include/themes/midwinter/images/ui-bg_glass_75_e6e6e6_1x400.png
 include/themes/midwinter/images/ui-bg_glass_95_fef1ec_1x400.png
 include/themes/midwinter/images/ui-bg_highlight-soft_75_cccccc_1x100.png
 include/themes/midwinter/images/ui-colorpicker.png
 include/themes/midwinter/images/ui-icons_222222_256x240.png
 include/themes/midwinter/images/ui-icons_2e83ff_256x240.png
 include/themes/midwinter/images/ui-icons_454545_256x240.png
 include/themes/midwinter/images/ui-icons_888888_256x240.png
 include/themes/midwinter/images/ui-icons_cd0a0a_256x240.png
 include/themes/midwinter/jquery-ui.css
 include/themes/midwinter/jquery.colorpicker.css
 include/themes/midwinter/jquery.timepicker.css
 include/themes/midwinter/vendor/ua-parser
 include/themes/modern/default/32px.png
 include/themes/modern/default/40px.png
 include/themes/modern/default/style.css
 include/themes/modern/default/style.min.css
 include/themes/modern/default/throbber.gif
 include/themes/modern/images/bar-alpha.png
 include/themes/modern/images/bar-opacity.png
 include/themes/modern/images/bar-pointer.png
 include/themes/modern/images/bar.png
 include/themes/modern/images/map-opacity.png
 include/themes/modern/images/map-pointer.png
 include/themes/modern/images/map.png
 include/themes/modern/images/preview-opacity.png
 include/themes/modern/images/ui-bg_glass_55_fbf9ee_1x400.png
 include/themes/modern/images/ui-bg_glass_65_ffffff_1x400.png
 include/themes/modern/images/ui-bg_glass_75_dadada_1x400.png
 include/themes/modern/images/ui-bg_glass_75_e6e6e6_1x400.png
 include/themes/modern/images/ui-bg_glass_95_fef1ec_1x400.png
 include/themes/modern/images/ui-bg_highlight-soft_75_cccccc_1x100.png
 include/themes/modern/images/ui-colorpicker.png
 include/themes/modern/images/ui-icons_222222_256x240.png
 include/themes/modern/images/ui-icons_2e83ff_256x240.png
 include/themes/modern/images/ui-icons_454545_256x240.png
 include/themes/modern/images/ui-icons_888888_256x240.png
 include/themes/modern/images/ui-icons_cd0a0a_256x240.png
 include/themes/modern/jquery-ui.css
 include/themes/modern/jquery.colorpicker.css
 include/themes/modern/jquery.timepicker.css
 include/themes/paper-plane/default/32px.png
 include/themes/paper-plane/default/40px.png
 include/themes/paper-plane/default/style.css
 include/themes/paper-plane/default/style.min.css
 include/themes/paper-plane/default/throbber.gif
 include/themes/paper-plane/images/bar-alpha.png
 include/themes/paper-plane/images/bar-opacity.png
 include/themes/paper-plane/images/bar-pointer.png
 include/themes/paper-plane/images/bar.png
 include/themes/paper-plane/images/map-opacity.png
 include/themes/paper-plane/images/map-pointer.png
 include/themes/paper-plane/images/map.png
 include/themes/paper-plane/images/preview-opacity.png
 include/themes/paper-plane/images/ui-bg_glass_55_fbf9ee_1x400.png
 include/themes/paper-plane/images/ui-bg_glass_65_ffffff_1x400.png
 include/themes/paper-plane/images/ui-bg_glass_75_dadada_1x400.png
 include/themes/paper-plane/images/ui-bg_glass_75_e6e6e6_1x400.png
 include/themes/paper-plane/images/ui-bg_glass_95_fef1ec_1x400.png
 include/themes/paper-plane/images/ui-bg_highlight-soft_75_cccccc_1x100.png
 include/themes/paper-plane/images/ui-colorpicker.png
 include/themes/paper-plane/images/ui-icons_222222_256x240.png
 include/themes/paper-plane/images/ui-icons_2e83ff_256x240.png
 include/themes/paper-plane/images/ui-icons_454545_256x240.png
 include/themes/paper-plane/images/ui-icons_888888_256x240.png
 include/themes/paper-plane/images/ui-icons_cd0a0a_256x240.png
 include/themes/paper-plane/jquery-ui.css
 include/themes/paper-plane/jquery.colorpicker.css
 include/themes/paper-plane/jquery.timepicker.css
 include/themes/paw/default/32px.png
 include/themes/paw/default/40px.png
 include/themes/paw/default/style.css
 include/themes/paw/default/style.min.css
 include/themes/paw/default/throbber.gif
 include/themes/paw/images/bar-alpha.png
 include/themes/paw/images/bar-opacity.png
 include/themes/paw/images/bar-pointer.png
 include/themes/paw/images/bar.png
 include/themes/paw/images/map-opacity.png
 include/themes/paw/images/map-pointer.png
 include/themes/paw/images/map.png
 include/themes/paw/images/preview-opacity.png
 include/themes/paw/images/ui-bg_glass_55_fbf9ee_1x400.png
 include/themes/paw/images/ui-bg_glass_65_ffffff_1x400.png
 include/themes/paw/images/ui-bg_glass_75_dadada_1x400.png
 include/themes/paw/images/ui-bg_glass_75_e6e6e6_1x400.png
 include/themes/paw/images/ui-bg_glass_95_fef1ec_1x400.png
 include/themes/paw/images/ui-bg_highlight-soft_75_cccccc_1x100.png
 include/themes/paw/images/ui-colorpicker.png
 include/themes/paw/images/ui-icons_222222_256x240.png
 include/themes/paw/images/ui-icons_2e83ff_256x240.png
 include/themes/paw/images/ui-icons_454545_256x240.png
 include/themes/paw/images/ui-icons_888888_256x240.png
 include/themes/paw/images/ui-icons_cd0a0a_256x240.png
 include/themes/paw/jquery-ui.css
 include/themes/paw/jquery.colorpicker.css
 include/themes/paw/jquery.timepicker.css
 include/themes/sunrise/default/32px.png
 include/themes/sunrise/default/40px.png
 include/themes/sunrise/default/style.css
 include/themes/sunrise/default/style.min.css
 include/themes/sunrise/default/throbber.gif
 include/themes/sunrise/images/bar-alpha.png
 include/themes/sunrise/images/bar-opacity.png
 include/themes/sunrise/images/bar-pointer.png
 include/themes/sunrise/images/bar.png
 include/themes/sunrise/images/map-opacity.png
 include/themes/sunrise/images/map-pointer.png
 include/themes/sunrise/images/map.png
 include/themes/sunrise/images/preview-opacity.png
 include/themes/sunrise/images/ui-bg_glass_55_fbf9ee_1x400.png
 include/themes/sunrise/images/ui-bg_glass_65_ffffff_1x400.png
 include/themes/sunrise/images/ui-bg_glass_75_dadada_1x400.png
 include/themes/sunrise/images/ui-bg_glass_75_e6e6e6_1x400.png
 include/themes/sunrise/images/ui-bg_glass_95_fef1ec_1x400.png
 include/themes/sunrise/images/ui-bg_highlight-soft_75_cccccc_1x100.png
 include/themes/sunrise/images/ui-colorpicker.png
 include/themes/sunrise/images/ui-icons_222222_256x240.png
 include/themes/sunrise/images/ui-icons_2e83ff_256x240.png
 include/themes/sunrise/images/ui-icons_454545_256x240.png
 include/themes/sunrise/images/ui-icons_888888_256x240.png
 include/themes/sunrise/images/ui-icons_cd0a0a_256x240.png
 include/themes/sunrise/jquery-ui.css
 include/themes/sunrise/jquery.colorpicker.css
 include/themes/sunrise/jquery.timepicker.css
 include/vendor/cldr-to-gettext-plural-rules
 include/vendor/gettext
 include/vendor/phpgettext
 include/vendor/phpmailer
 include/vendor/phpseclib
 locales/LC_MESSAGES/*.mo

Files: *
Copyright: 2004-2020, The Cacti Group
License: GPL-2+

Files: debian/*
Copyright: 2002-2003, Igor Genibel <igenibel@debian.org>
           2003-2005, Thorsten Sauter <tsauter@debian.org>
           2005-2011, Sean Finney <seanius@debian.org>
           2011-2012, Mahyuddin Susanto <udienz@ubuntu.com>
           2012-2022, Paul Gevers <elbrus@debian.org>
License: GPL-2+

Files: include/vendor/csrf/csrf-magic.*
Copyright: 2008-2013, Edward Z. Yang
Comment: The javascript code comes from http://repo.or.cz/w/csrf-magic.git or
 http://csrf.htmlpurifier.org/
License: BSD-2clause

Files: include/js/billboard.js
 include/themes/*/billboard.css
Copyright: 2017 ~ present NAVER Corp.
License: expat

Files: include/js/dygraph-combined.js
Copyright: 2014 Dan Vanderkam <danvdk@gmail.com>
License: expat

Files: include/themes/midwinter/vendor/hotkeys/hotkeys.js
Copyright: 2021 kenny wong <wowohoo@qq.com>
License: expat

Files: include/js/jquery.multiselect.filter.js
       include/js/jquery.multiselect.js
Copyright: 2012 Eric Hynds
License: expat or gpl-3+
Comment:
 * Dual licensed under the MIT and GPL licenses:
 *   http://www.opensource.org/licenses/mit-license.php
 *   http://www.gnu.org/licenses/gpl.html

Files: include/js/jquery.sparkline.js
Copyright: Splunk, Inc; Contact: Gareth Watts <gareth@splunk.com>
License: BSD-3-splunk
 Redistribution and use in source and binary forms, with or without modification,
 are permitted provided that the following conditions are met:
 .
 * Redistributions of source code must retain the above copyright notice,
   this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.
 * Neither the name of Splunk Inc nor the names of its contributors may
   be used to endorse or promote products derived from this software without
   specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY
 EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
 SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
 OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Files: include/js/js.storage.js
Copyright: 2019 Julien Maurel
License: expat

Files: include/js/jquery.tablednd.js
Copyright: Denis Howlett <denish@isocra.com>
Comment:
 Licensed like jQuery, see http://docs.jquery.com/License.
License: Apache-2
 On Debian GNU/Linux systems, the complete text of the Apache License Version 2
 can be found in `/usr/share/common-licenses/Apache-2'.

Files: include/js/pace.js
Copyright: 2013 HubSpot, Inc
License: expat

Files: include/vendor/phpsnmp/classSNMP.php
Copyright: 2010 Boris Lytochkin
License: GPL-2+

License: GPL-2+
 This package is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this package; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 MA 02110-1301, USA.
 .
 On Debian GNU/Linux systems, the complete text of the GNU General
 Public License Version 2 can be found in
 `/usr/share/common-licenses/GPL-2'.

License: GPL-3+
 On Debian GNU/Linux systems, the complete text of the GNU General
 Public License Version 3 can be found in
 `/usr/share/common-licenses/GPL-3'.

License: BSD-2clause
 All rights reserved.
 .
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 .
     Redistributions of source code must retain the above copyright notice,
     this list of conditions and the following disclaimer.
 .
     Redistributions in binary form must reproduce the above copyright notice,
     this list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: expat
 Permission is hereby granted, free of charge, to any person obtaining a
 copy of this software and associated documentation files (the "Software"),
 to deal in the Software without restriction, including without limitation
 the rights to use, copy, modify, merge, publish, distribute, sublicense,
 and/or sell copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included
 in all copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
